Package com.sap.ai.sdk.orchestration

# Class OrchestrationStreamConfig

java.lang.Object
com.sap.ai.sdk.orchestration.OrchestrationStreamConfig

public final class OrchestrationStreamConfig extends Object
Configuration for orchestration streaming options.

Since:
  1.12.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrchestrationStreamConfig()`
  Default constructor for OrchestrationStreamConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Integer`
  `getChunkSize()`
  Size of the chunks the response will be split into when streaming.
  `List<String>`
  `getDelimiters()`
  List of delimiters to use for chunking the response when streaming.
  `Integer`
  `getFilterOverlap()`
  Number of characters that should be additionally sent to content filtering services from previous chunks as additional context.
  `int`
  `hashCode()`
  `String`
  `toString()`
  `OrchestrationStreamConfig`
  `withChunkSize(Integer chunkSize)`
  Size of the chunks the response will be split into when streaming.
  `OrchestrationStreamConfig`
  `withDelimiters(List<String> delimiters)`
  List of delimiters to use for chunking the response when streaming.
  `OrchestrationStreamConfig`
  `withFilterOverlap(Integer filterOverlap)`
  Number of characters that should be additionally sent to content filtering services from previous chunks as additional context.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OrchestrationStreamConfig

    public OrchestrationStreamConfig()
    Default constructor for OrchestrationStreamConfig.

- ## Method Details

  - ### getFilterOverlap

    @Nullable public Integer getFilterOverlap()
    Number of characters that should be additionally sent to content filtering services from previous chunks as additional context.

  - ### getChunkSize

    @Nullable public Integer getChunkSize()
    Size of the chunks the response will be split into when streaming.

  - ### getDelimiters

    @Nullable public List<String> getDelimiters()
    List of delimiters to use for chunking the response when streaming.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### withFilterOverlap

    public OrchestrationStreamConfig withFilterOverlap(@Nullable Integer filterOverlap)
    Number of characters that should be additionally sent to content filtering services from previous chunks as additional context.
    Returns:
      a clone of this object, except with this updated property (returns `this` if an identical value is passed).

  - ### withChunkSize

    public OrchestrationStreamConfig withChunkSize(@Nullable Integer chunkSize)
    Size of the chunks the response will be split into when streaming.
    Returns:
      a clone of this object, except with this updated property (returns `this` if an identical value is passed).

  - ### withDelimiters

    public OrchestrationStreamConfig withDelimiters(@Nullable List<String> delimiters)
    List of delimiters to use for chunking the response when streaming.
    Returns:
      a clone of this object, except with this updated property (returns `this` if an identical value is passed).